summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-09-02 17:05:03 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-09-02 17:06:33 +0200
commit84a633a3c1487b5c1295c0a2705f3e6d9a26bdf1 (patch)
tree3cec05bf28555ee753ea14d9d0a4f927186ac543 /x11-misc
parentx11-misc/sddm: 0.15.0 version bump (diff)
downloadgentoo-84a633a3c1487b5c1295c0a2705f3e6d9a26bdf1.tar.gz
gentoo-84a633a3c1487b5c1295c0a2705f3e6d9a26bdf1.tar.bz2
gentoo-84a633a3c1487b5c1295c0a2705f3e6d9a26bdf1.zip
x11-misc/sddm: Drop old
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'x11-misc')
-rw-r--r--x11-misc/sddm/files/sddm-0.11.0-consolekit.patch11
-rw-r--r--x11-misc/sddm/sddm-0.14.0-r3.ebuild89
2 files changed, 0 insertions, 100 deletions
diff --git a/x11-misc/sddm/files/sddm-0.11.0-consolekit.patch b/x11-misc/sddm/files/sddm-0.11.0-consolekit.patch
deleted file mode 100644
index 0e2a7f8d7cb..00000000000
--- a/x11-misc/sddm/files/sddm-0.11.0-consolekit.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/data/scripts/Xsession 2015-01-08 12:58:24.448241484 +0100
-+++ b/data/scripts/Xsession 2015-01-08 13:00:07.794244087 +0100
-@@ -93,7 +93,7 @@
- exec xterm -geometry 80x24-0-0
- ;;
- *)
-- eval exec "$session"
-+ eval exec ck-launch-session "$session"
- ;;
- esac
- exec xmessage -center -buttons OK:0 -default OK "Sorry, cannot execute $session. Check $DESKTOP_SESSION.desktop."
diff --git a/x11-misc/sddm/sddm-0.14.0-r3.ebuild b/x11-misc/sddm/sddm-0.14.0-r3.ebuild
deleted file mode 100644
index 5a2d25ea534..00000000000
--- a/x11-misc/sddm/sddm-0.14.0-r3.ebuild
+++ /dev/null
@@ -1,89 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit cmake-utils user
-
-DESCRIPTION="Simple Desktop Display Manager"
-HOMEPAGE="https://github.com/sddm/sddm"
-SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.xz"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-
-LICENSE="GPL-2+ MIT CC-BY-3.0 CC-BY-SA-3.0 public-domain"
-SLOT="0"
-IUSE="consolekit elogind +pam systemd"
-
-REQUIRED_USE="?? ( elogind systemd )"
-
-RDEPEND=">=dev-qt/qtcore-5.6:5
- >=dev-qt/qtdbus-5.6:5
- >=dev-qt/qtgui-5.6:5
- >=dev-qt/qtdeclarative-5.6:5
- >=dev-qt/qtnetwork-5.6:5
- >=x11-base/xorg-server-1.15.1
- x11-libs/libxcb[xkb(-)]
- consolekit? ( >=sys-auth/consolekit-0.9.4 )
- elogind? ( sys-auth/elogind )
- pam? ( sys-libs/pam )
- systemd? ( sys-apps/systemd:= )
- !systemd? ( || ( sys-power/upower sys-power/upower-pm-utils ) )"
-
-DEPEND="${RDEPEND}
- dev-python/docutils
- >=dev-qt/linguist-tools-5.6:5
- >=dev-qt/qttest-5.6:5
- kde-frameworks/extra-cmake-modules
- virtual/pkgconfig"
-
-PATCHES=(
- "${FILESDIR}/${PN}-0.13.0-pam_kwallet.patch"
- # fix for flags handling and bug 563108
- "${FILESDIR}/${PN}-0.12.0-respect-user-flags.patch"
- "${FILESDIR}/${P}-avatars.patch"
- "${FILESDIR}/${PN}-enable-elogind.patch"
-)
-
-pkg_pretend() {
- if [[ ${MERGE_TYPE} != binary && $(tc-getCC) == *gcc* ]]; then
- if [[ $(gcc-major-version) -lt 4 || $(gcc-major-version) == 4 && $(gcc-minor-version) -lt 7 ]] ; then
- die 'The active compiler needs to be gcc 4.7 (or newer)'
- fi
- fi
-}
-
-src_prepare() {
- use consolekit && eapply "${FILESDIR}/${P}-consolekit.patch"
-
- cmake-utils_src_prepare
-}
-
-src_configure() {
- local mycmakeargs=(
- -DENABLE_PAM=$(usex pam)
- -DNO_SYSTEMD=$(usex '!systemd')
- -DUSE_ELOGIND=$(usex 'elogind')
- -DBUILD_MAN_PAGES=ON
- -DDBUS_CONFIG_FILENAME="org.freedesktop.sddm.conf"
- )
-
- cmake-utils_src_configure
-}
-
-pkg_postinst() {
- enewgroup ${PN}
- enewuser ${PN} -1 -1 /var/lib/${PN} ${PN},video
-
- if use consolekit && use pam && [[ -e "${ROOT}"/etc/pam.d/system-login ]]; then
- local line=$(grep "pam_ck_connector.*nox11" "${ROOT}"/etc/pam.d/system-login)
- if [[ -z ${line} ]]; then
- ewarn
- ewarn "Erroneous /etc/pam.d/system-login settings detected!"
- ewarn "Please restore 'nox11' option in the line containing pam_ck_connector:"
- ewarn
- ewarn "session optional pam_ck_connector.so nox11"
- ewarn
- ewarn "or 'emerge -1 sys-auth/pambase' and run etc-update."
- ewarn
- fi
- fi
-}